/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/sgx/audio/devicechannel.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/audio/audio.hpp"

void 
CDeviceChannel::pause()
{
}

void 
CDeviceChannel::resume()
{
}

void 
CDeviceChannel::setVolume(const tREAL32 vol)
{
SGX_UNUSED(vol);
}

void 
CDeviceChannel::setPan(const tREAL32 pan)
{
SGX_UNUSED(pan);
}

void 
CDeviceChannel::stop()
{
}

void 
CDeviceChannel::update(const tREAL32 time_elapsed )
{
	SGX_UNUSED(time_elapsed);
}

tBOOL 
CDeviceChannel::hasFinished() const
{
	return FALSE;
}

